// LinksView.cpp : implementation file
//

#include "stdafx.h"
#include "HTMLLinks.h"
#include "LinksView.h"

// PN: For access to the HTML View and DialogBar
#include "HTMLLinksDoc.h"
#include "HTMLLinksView.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLinksView

IMPLEMENT_DYNCREATE(CLinksView, CListView)

CLinksView::CLinksView()
{
}

CLinksView::~CLinksView()
{
}


BEGIN_MESSAGE_MAP(CLinksView, CListView)
	//{{AFX_MSG_MAP(CLinksView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
	ON_CBN_SELCHANGE( IDC_URL, OnSelChangedURL )
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLinksView drawing

void CLinksView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CLinksView diagnostics

#ifdef _DEBUG
void CLinksView::AssertValid() const
{
	CListView::AssertValid();
}

void CLinksView::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLinksView message handlers

void CLinksView::OnSelChangedURL( )
{
	CMainFrame* pMain = (CMainFrame*)AfxGetMainWnd();
	pMain->CBNavigate();
}
